ksquirrel-libs-dicom2png(1)

NAME
ksquirrel-libs-dicom2png - backend script used by KSquirrel

SYNOPSIS
ksquirrel-libs-dicom2png [OPTION]... [FILE]...

DESCRIPTION
Backend script used by KSquirrel
 Homepage: http://ksquirrel.sourceforge.net

OPTIONS

-v  Print verbose messages

-c  Write image data to standard output

-e  Extract embedded thumbnail image

-i  Identify files without decoding them

-i -v
    Identify files and show metadata

-z  Change file dates to camera timestamp

-w  Use camera white balance, if possible

-a  Average the whole image for white balance

-A <x y w h>
    Average a grey box for white balance

-r <r g b g>
    Set custom white balance

+M-M
    Use/don't use an embedded color matrix

-C <r b>
    Correct chromatic aberration

-b <num>
    Adjust brightness (default = 1.0)

-n <num>
    Set threshold for wavelet denoising

-k <num>
    Set black point

-K <file>
    Subtract dark frame (16-bit raw PGM)

-H [0-9]
    Highlight mode (0=clip, 1=unclip, 2=blend, 3+=rebuild)

-t [0-7]
    Flip image (0=none, 3=180, 5=90CCW, 6=90CW)

-o [0-5]
    Output colorspace (raw,sRGB,Adobe,Wide,ProPhoto,XYZ)

-o <file>
    Apply output ICC profile from file

-p <file>
    Apply camera ICC profile from file or "embed"

-d  Document mode (no color, no interpolation)

-D  Document mode without scaling (totally raw)

-j  Don't stretch or rotate raw pixels

-q [0-3]
    Set the interpolation quality

-h  Half-size color image (twice as fast as "-q 0")

-f  Interpolate RGGB as four colors

-m <num>
    Apply a 3x3 median filter to R-G and B-G

-s [0..N-1]
    Select one raw image or "all" from each file

-4  Write 16-bit linear instead of 8-bit with gamma

-T  Write TIFF instead of PPM

AUTHORS
Dmitry Baryshev <ksquirrel@tut.by>

OTHER
This manual page was written by Harald Sitter <apachelogger@ubuntu.com> for the Debian
system (but may be used by others).